@import url("font.css");

body {
    font-family: "Poppins", sans-serif !important;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    background-color: #f5f5f5;
    color: #09090a;
}

#main-wrapper {
    width: 100%;
    /* overflow: hidden;
    position: relative; */
}

input[type="checkbox"].form-check-input {
    /* width: 1.2em;
    height: 1.2em; */
    /* border-color: #9ca1a6;
    border-radius: 4px; */
}

.form-check-input:checked {
    border-color: #5951ed;
    background-color: #fff;
}

.form-switch .form-check-input:checked[type="checkbox"] {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%235951ED'/%3e%3c/svg%3e");
}

.form-check-input:checked[type="checkbox"] {
    --bs-form-check-bg-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%235951ED' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3e%3c/svg%3e");
}

.navbar {
    background: #fff;
    transition: background 0.25s ease;
    -webkit-transition: background 0.25s ease;
    -moz-transition: background 0.25s ease;
    -ms-transition: background 0.25s ease;
}

.navbar .navbar-brand-wrapper {
    transition: width 0.25s ease, background 0.25s ease;
    -webkit-transition: width 0.25s ease, background 0.25s ease;
    -moz-transition: width 0.25s ease, background 0.25s ease;
    -ms-transition: width 0.25s ease, background 0.25s ease;
    border-bottom: 1px solid var(--neutral-600, #3e3e3f);
    background: #1a1d1f;
    width: 288px;
    height: 57px;
}

.navbar .navbar-menu-wrapper {
    transition: width 0.25s ease;
    -webkit-transition: width 0.25s ease;
    -moz-transition: width 0.25s ease;
    -ms-transition: width 0.25s ease;
    color: #9c9fa6;
    /* padding-left: 24px;
  padding-right: 24px; */
    width: calc(100% - 288px);
    height: 57px;
}
.navbar .brand-logo img {
    max-height: 45px;
    width: 100%;
}
.page-body-wrapper {
    padding-top: 57px;
    /* min-height: calc(100vh - 57px); */
    /* display: -webkit-box; */
    /* display: -ms-flexbox; */
    /* display: flex; */
    /* -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row; */
    padding-left: 0;
    padding-right: 0;
}

.left-sidebar {
    min-height: calc(100vh - 57px);
    position: fixed;
    left: 0;
    padding: 0;
    width: 288px;
    z-index: 11;
    transition: width 0.25s ease, background 0.25s ease;
    -webkit-transition: width 0.25s ease, background 0.25s ease;
    -moz-transition: width 0.25s ease, background 0.25s ease;
    -ms-transition: width 0.25s ease, background 0.25s ease;
    /* overflow-y: auto; */
    height: calc(100% - 57px);
    /* border-radius: 0px 0px 8px 8px; */
    background: var(--neutral-900, #1a1d1f);
    box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.1);
}

.mCSB_inside > .mCSB_container {
    margin-right: 0 !important;
}

.sidebar-nav #sidebarnav .nav-item {
    width: 100%;
    list-style: none;
    border-bottom: 1px solid var(--neutral-600, #3e3e3f);
}

.sidebar-nav #sidebarnav li .nav-link {
    color: #9ca1a6;
    display: flex;
    padding-left: 24px;
    padding-right: 24px;
    align-items: center;
    line-height: 100%;
    padding-top: 18px;
    padding-bottom: 18px;
    position: relative;
}

.sidebar-nav #sidebarnav li .nav-link svg {
    min-width: 45px;
}

.sidebar-nav #sidebarnav li .nav-link img {
    margin-right: 0.6rem;
    opacity: 0.6;
}

.sidebar-nav #sidebarnav li .nav-link:hover img {
    opacity: 1;
}

.sidebar-nav #sidebarnav .nav-item.selected > .nav-link img {
    opacity: 1;
}

.sidebar-nav .has-arrow::after {
    position: absolute;
    content: "\f231";

    display: inline-block;
    font-family: bootstrap-icons !important;
    font-style: normal;
    font-weight: 400 !important;
    font-size: 14px;
    -webkit-transform: rotate(0deg) translate(0, -50%);
    -ms-transform: rotate(0deg) translate(0, -50%);
    -o-transform: rotate(0deg) translate(0, -50%);
    transform: rotate(0deg) translate(0, -50%);
    -webkit-transform-origin: top;
    -ms-transform-origin: top;
    -o-transform-origin: top;
    transform-origin: top;
    top: 30px;
    right: 24px;
    -webkit-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

.content-wrapper {
    /* background: #f2edf3; */
    /* padding: 24px; */
    width: 100%;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
}

.nav-profile .nav-profile-img img {
    border-radius: 100px;
    width: 38px;
    height: 38px;
    border: 2px solid var(--neutral-100, #fff);
    background: lightgray 1.429px 1.429px / 96.238% 96.238% no-repeat;
}

.nav-profile .user_name {
    color: #09090a;
    font-size: 12px;
    font-weight: 600;
}

.nav-profile .nav-link.dropdown-toggle::after {
    color: #9ca1a6;
    border-top: 0.4em solid;
    border-right: 0.4em solid transparent;

    border-left: 0.4em solid transparent;
}

.dropdown-menu {
    --bs-dropdown-font-size: 14px;
}

.nav-profile .dropdown-menu {
    border-radius: 16px;
    background: var(--neutral-100, #fff);
    box-shadow: 0px 0px 97px 0px rgba(0, 0, 0, 0.15);
    border: 0;
    /* margin-right: 1.5rem; */
    margin: 0;
}

.nav-profile .dropdown-menu::before {
    content: "";
    display: block;
    border-left: 15px solid transparent;
    border-right: 15px solid transparent;
    border-bottom: 15px solid #ffffff;
    position: absolute;
    top: -14px;
    right: 15px;
}

.nav-profile .nav-profile-text p {
    color: #3e3e3f;
    font-weight: 400;
    font-size: 12px;
}

.notification_cls .nav-link {
    color: #292c30;
    font-size: 24px;
    line-height: 100%;
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
    color: #09090a;
}

.navbar-menu-wrapper .navbar-toggler {
    color: #292d32;
    outline: none;
    box-shadow: none;
}

.heading_cls {
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.navbar-menu-wrapper .breadcrumb {
    font-size: 12px;
}

.navbar-menu-wrapper .breadcrumb li {
    color: #9ca1a6;
}

.navbar-menu-wrapper .breadcrumb li a {
    color: #3e3e3f;
    text-decoration: none;
}

.sidebar-nav .first-level.in {
    display: block;
}

.sidebar-nav .first-level {
    margin: 0;
    padding: 0;
}

.sidebar-nav .has-arrow.active::after {
    -webkit-transform: rotate(-90deg) translate(0, -50%);
    -ms-transform: rotate(-90deg) translate(0, -50%);
    -o-transform: rotate(-90deg) translate(0, -50%);
    transform: rotate(-90deg) translate(0, -50%);
}

.sidebar-nav #sidebarnav li .first-level .nav-link {
    padding-left: 38px;
}

.sidebar-nav #sidebarnav li .first-level .nav-link.active,
.sidebar-nav #sidebarnav li .first-level .nav-link:hover {
    background: var(--neutral-600, #3e3e3f);
    color: #fff;
}

.sidebar-nav #sidebarnav li .first-level .nav-link.active::before,
.sidebar-nav #sidebarnav li .first-level .nav-link:hover:before {
    background: var(--neutral-200, #f5f5f5);
}

.mCSB_scrollTools {
    width: 6px !important;
}

.sidebar-nav #sidebarnav li .first-level .nav-link::before {
    border-radius: 2px;
    width: 6px;
    height: 6px;
    margin-right: 0.8rem;
    content: "";
    display: inline-block;
    background: var(--neutral-200, #9ca1a6);
}

.sidebar-nav #sidebarnav .nav-item.selected > .nav-link::before,
.sidebar-nav #sidebarnav > .nav-item > .nav-link:hover::before {
    border-radius: 0px 3.5px 3.5px 0px;
    background: var(--primary-main, #5951ed);
    content: "";
    width: 5.979px;
    height: 32px;
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    margin-top: auto;
    margin-bottom: auto;
    transition: all 0.3s ease-in-out 0s;
}

.sidebar-nav #sidebarnav .nav-item.selected > .nav-link,
.sidebar-nav #sidebarnav > .nav-item > .nav-link:hover {
    color: #fff;
}

.sidebar-nav #sidebarnav .nav-item.selected > .nav-link svg path,
.sidebar-nav #sidebarnav > .nav-item > .nav-link:hover svg path {
    fill: #fff;
}

.btn-link.btn-text-primary {
    font-size: 12px;
    text-decoration: none;
    font-style: normal;
    font-weight: 600;
    color: #6326f0;
}

.btn-link.btn-text-primary:hover {
    color: #1a1d1f;
}

.fc .fc-toolbar-title {
    font-size: 1.2em;
}

.fc .fc-col-header-cell-cushion {
    display: inline-block;
    padding: 2px 4px;
    font-size: 11px;
    color: #1a1d1f;
    text-decoration: none;
}

.fc .fc-daygrid-day-number {
    text-decoration: none;
    color: #a9a9a9;
}

.fc-toolbar button.fc-today-button {
    padding: 8px 15px !important;
    border-radius: 8px !important;
}

.fc .fc-button-primary {
    border-radius: 4px;
    background: #f6f7f8;
    color: #292d32;
}

.fc-h-event {
    background-color: #fff;
}

.custom_card {
    border-radius: 16px;
    background: var(--neutral-100, #fff);
    border: 0;
    height: 100%;
}

.custom_card .card-header {
    padding: 20px;
    background-color: transparent;

    box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0.25);
    border: 0;
    border-bottom: 1px solid var(--neutral-200, #f5f5f5);
}

.custom_card .card-header h2 {
    color: #09090a;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    margin: 0;
    padding-left: 15px;
    position: relative;
}

.custom_card .card-body {
    padding: 20px;
}
.custom_card .card-body.scrollbarshow {
    max-height: 380px;
    position: relative;
    /* overflow-y: auto; */
}

.scrollbarshow .mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {
    background-color: rgb(26 29 31);
}

.scrollbarshow .mCustomScrollBox {
    position: unset;
}

.scrollbarshow .mCSB_scrollTools {
    background-color: #f5f5f5;
}

.scrollbarshow .mCSB_scrollTools .mCSB_draggerRail {
    display: none;
}

.custom_card .card-header h2::before {
    border-radius: 4px;
    content: "";
    background: #ffbc99;
    height: 100%;
    width: 5px;
    display: inline-block;
    position: absolute;
    left: 0;
    top: 0;
}

.custom_card .card-header h2.blue_saprater::before {
    background-color: #b1e5fc;
}

.custom_card .card-header h2.pink_saprater::before {
    background-color: #fcb1de;
}

.custom_card .card-header h2.lavender_saprater::before {
    background-color: #cabdff;
}

.custom_card .card-header h2.green_saprater::before {
    background-color: #b5e4ca;
}

.nodata_cls {
    max-width: 96px;
}
.timer_cls .parent-progess {
    position: relative;
    min-height: 18px;
}
.timer_cls .parent-progess::before {
    content: "";
    width: 3px;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: #e9ecef;
    border-radius: 20px;
    display: inline-block;
}
.timer_cls .parent-progess::after {
    content: "";
    width: 3px;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    background: #e9ecef;
    border-radius: 20px;
    display: inline-block;
}
.timer_cls .progress {
    height: 3px;
    position: relative;
    margin: 0 3px;
}
.mini_sidebar .brand-logo {
    overflow: hidden;
    justify-content: flex-start !important;
    max-width: 43px;
}
.mini_sidebar .brand-logo img {
    width: 100%;
    min-width: 199px;
}
.timer_cls .progress .progress-bar {
    background-color: #6326f0;
}

.timer_cls span {
    font-size: 14px;
    font-weight: 400;
}

.text-success {
    color: #24b732 !important;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
}

.search_area .form-control {
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    color: #3e3e3f;
    padding: 0.5rem 1rem;
}

.btn.btn-light {
    font-weight: 600;
    font-size: 14px;
    color: #09090a;
}

.btn.btn-light:hover {
    background: #ededed !important;
}

.btn {
    font-size: 14px;
}

.input-group-text {
    border-color: #eff2f5;
}

.net-salary .table tr th:last-child {
    width: 130px;
}

.net-salary .table {
    min-width: max-content;
}

.net-amount {
    border: 0;
    background: var(--neutral-200, #f5f5f5);
}

.net-amount p {
    font-size: 14px;
}

.select2-container--default .select2-selection--single {
    min-height: 48px;
    border-radius: 8px;
    border: 1px solid var(--neutral-300, #eff2f5);
}

.select2-container--default
    .select2-selection--single
    .select2-selection__rendered {
    line-height: 46px;
    padding-left: 15px;
}

.select2-container--default
    .select2-selection--single
    .select2-selection__arrow {
    height: 48px;
    right: 12px;
    top: 0;
}

.select2-container--default
    .select2-selection--single
    .select2-selection__arrow
    b {
    border-color: #9ca1a6 transparent transparent transparent;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    border: 1px solid #eff2f5;
    padding: 4px 10px;
    outline: none;
}

.select2-container--open .select2-dropdown--below {
    border: 1px solid #eff2f5;
}

.select2-results__option {
    padding: 6px 10px;
}

.select2-container--default
    .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: #5951ed;
}

.net-amount {
    border: 0;
    background: var(--neutral-200, #f5f5f5);
}
.net-amount p {
    font-size: 14px;
}
.select2-container--default .select2-selection--single {
    min-height: 48px;
    border-radius: 8px;
    border: 1px solid var(--neutral-300, #eff2f5);
}
.select2-container--default
    .select2-selection--single
    .select2-selection__rendered {
    line-height: 46px;
    padding-left: 15px;
}
.select2-container--default
    .select2-selection--single
    .select2-selection__arrow {
    height: 48px;
    right: 12px;
    top: 0;
}
.select2-container--default
    .select2-selection--single
    .select2-selection__arrow
    b {
    border-color: #9ca1a6 transparent transparent transparent;
}
.select2-container--default .select2-search--dropdown .select2-search__field {
    border: 1px solid #eff2f5;
    padding: 4px 10px;
    outline: none;
}
.select2-container--open .select2-dropdown--below {
    border: 1px solid #eff2f5;
}
.select2-results__option {
    padding: 6px 10px;
}
.select2-container--default
    .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: #5951ed;
}
.custom_dropcl .dropdown-menu {
    border-radius: 14px;
    background: var(--neutral-100, #fff);
    box-shadow: 0px 0px 97px 0px rgba(0, 0, 0, 0.15);
    border: 0;
    /* margin-right: 1.5rem; */
    margin: 0;
    /* overflow: hidden; */
}

.custom_dropcl .dropdown-menu::after {
    content: "";
    display: block;
    border-left: 12px solid #ffffff;
    border-top: 12px solid transparent;
    border-bottom: 12px solid transparent;
    position: absolute;
    top: 9px;
    right: -11px;
}

.custom_dropcl .dropdown-toggle {
    color: #9ca1a6;
    background-color: #f5f5f5;
}

.dataTables_wrapper table {
    border-color: #f5f5f5;
    position: relative;
}

table.dataTable > tbody > tr.child span.dtr-title {
    font-weight: 500;
}

.dataTables_wrapper tr th {
    font-weight: 500;
}

.dataTables_wrapper tr td,
.dataTables_wrapper tr th {
    vertical-align: middle;
    padding: 0.5rem 1rem;
}

div.dataTables_wrapper div.dataTables_length select {
    border-radius: 4px;
    border: 1px solid var(--neutral-300, #eff2f5);
    background-color: var(--neutral-200, #f5f5f5);
    min-height: 30px;
}

.user-role .select2-container--default .select2-selection--single {
    min-height: 34px;
    border-radius: 4px;
    border: 0;
    background: #f5f5f5;
}

.user-role
    .select2-container--default
    .select2-selection--single
    .select2-selection__rendered {
    line-height: 34px;
}

.user-role
    .select2-container--default
    .select2-selection--single
    .select2-selection__arrow {
    height: 34px;
    right: 7px;
    top: 0;
}

div.dataTables_wrapper div.dataTables_filter input {
    min-height: 38px;
}

.offcanvas .offcanvas-body .custom_tabs {
    margin: -25px -24px 0 -24px;
}

.user-roles.form-select:hover {
    background-color: #ededed;
}

.bottom_countpop {
    background: var(--neutral-100, #fff);
    z-index: 9;
    box-shadow: 0px 0px 97px 0px rgba(0, 0, 0, 0.15);
    width: calc(100% - 288px);
    right: 0;
}

.danger_custom {
    border-radius: 8px;
    background: var(--error-light, #ffe7e4);
    color: #ff6a55;
}

.danger_custom .form-select {
    padding-top: 0.63rem;
    padding-bottom: 0.63rem;
}

.danger_custom:hover {
    background: #f5d9d5;
    color: #ff6a55;
}

.success_custom {
    border-radius: 8px;
    background: var(--error-light, #eafae5);
    color: #83bf6e;
}

.success_custom .form-select {
    padding-top: 0.63rem;
    padding-bottom: 0.63rem;
}

.success_custom:hover {
    background: #eafae5;
    color: #83bf6e;
}

table.dataTable > tbody > tr.child ul.dtr-details {
    width: 100%;
}

table.dataTable > tbody > tr.child ul.dtr-details > li .dtr-data {
    display: inline-block;
    vertical-align: middle;
}

.calendar-iconcls {
    border-radius: 8px;
    background: var(--primary-light, #ebeafc);
    width: 40px;
    height: 40px;
    text-align: center;
    line-height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.badge.active {
    border-radius: 4px;
    background: var(--successful-light, #eafae5);
    color: #83bf6e;
    font-size: 14px;
}

.common-togglebtn .btn {
    line-height: normal;
    background-color: #eff2f5;
}

.leave-history table {
    min-width: 800px;
}

.leave-history table tr td,
.leave-history table tr th {
    padding: 0.7rem 1.5rem;
    vertical-align: middle;
    border-color: #f5f5f5;
}

.common-togglebtn .btn-check:checked + .btn {
    background-color: #ebeafc;
    color: #5951ed;
}

.badge.inactive {
    border-radius: 4px;
    font-size: 14px;
    background: var(--error-light, #ffe7e4);
    color: #ff6a55;
}

.badge.warning {
    border-radius: 4px;
    font-size: 14px;
    background: var(--Warning-light, #fffbe4);
    color: #f9d800;
}

.badge.info {
    border-radius: 4px;
    font-size: 14px;
    background: var(--Info-light, #ebeafc);
    color: #17a2b8;
}

table tr td .sub_cardlist {
    border: 0;
    padding: 0;
}

.custom_dropcl .dropdown-toggle::before {
    content: none;
}

.dataTables_wrapper tr td img {
    width: 36px;
    height: 36px;
}

.dataTables_paginate .pagination .paginate_button a {
    border-radius: 4px !important;
    min-width: 28px;
    border: 1px solid var(--neutral-300, #eff2f5);
    background: var(--neutral-200, #f5f5f5);
    box-shadow: none;
    margin-left: 8px;
    padding-top: 3px;
    line-height: normal;
    padding-bottom: 3px;
    font-size: 14px;
    color: #333;
}

.dataTables_paginate .pagination .paginate_button.active a {
    border-color: #5951ed;
    color: #5951ed;
}

div.dataTables_wrapper div.dataTables_info {
    padding-top: 0;
    margin-left: auto;
    margin-right: 0.5rem;
}

.btn.btn-primary {
    border-radius: 4px;
    background: var(--primary-main, #5951ed);
    padding: 8px 1.2rem;
    font-size: 14px;
    font-style: normal;
    border: 0;
    outline: none;
    box-shadow: none;
    font-weight: 700;
    color: #eff2f5;
}

.dataTables_wrapper .sub_cardlist {
    border: 0;
    padding: 2px 0;
}

.btn.btn-success {
    border-radius: 4px;
    background: #28cea6;
    border: 0;
    outline: none;
    box-shadow: none;
    font-size: 14px;
    font-weight: 700;
    /* padding-left: 1.2rem;
  padding-right: 1.2rem; */
}

.btn.btn-success:hover {
    background: #20c19a;
}

.btn.btn-success.btn-big {
    border-radius: 8px;
    background: #28cea6;
    padding: 12px 18px;
    font-size: 14px;
    font-style: normal;
    border: 0;
    outline: none;
    box-shadow: none;
    font-weight: 700;
    color: #eff2f5;
    line-height: 100%;
}

.btn.btn-success.btn-big:hover {
    background: #20c19a;
}

.btn.btn-primary:hover {
    background-color: #4b43db;
}

.btn.btn-danger {
    background: #ff6a55;
    border: 0;
    outline: none;
    box-shadow: none;
    border-radius: 4px;
    font-size: 14px;
    font-weight: 700;
}

.btn.btn-danger:hover {
    background: #e75944;
}

.circle_chart input {
    font-size: 12px !important;
    font-family: "DM Sans", sans-serif !important;
}

.shape_iconcls {
    border-radius: 8px;
    background: #e8f9ff;
    width: 52px;
    height: 52px;
    color: #0b0f1f;
    display: inline-block;
    text-align: center;
    font-size: 20px;
    line-height: 52px;
}

.shape_iconcls.blue {
    background-color: #e8f9ff;
}

.shape_iconcls.orange {
    background-color: #fff7e8;
}

.shape_iconcls.lavender {
    background-color: #eae8ff;
}

.custom_badge {
    border-radius: 4px;
    background: var(--neutral-200, #f5f5f5);
    padding: 4px;
    color: #575f6a;
    text-align: center;
    font-family: "DM Sans", sans-serif !important;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    display: inline-block;
}

.sub_cardlist {
    border-bottom: 1px solid var(--neutral-200, #f5f5f5);
    padding-top: 12px;
    padding-bottom: 12px;
    line-height: 100%;
}

.sub_cardlist .dropdown-toggle {
    text-decoration: none;
    white-space: normal;
    word-break: break-word;
}

.sub_cardlist .dropdown-toggle::after {
    content: none;
}

.sub_cardlist img {
    border-radius: 150px;
    width: 52px;
    height: 52px;
    object-fit: cover;
    object-position: center;
    border: 2px solid var(--neutral-100, #fff);
    background: lightgray 1.956px 1.956px / 96.238% 96.238% no-repeat;
}

.sub_cardlist h3 {
    font-size: 14px;
    font-style: normal;
    margin: 0 0 5px 0;
    font-weight: 500;
    color: #09090a;
}

.sub_cardlist p {
    font-size: 12px;
    margin: 0;
    font-style: normal;
    font-weight: 400;
    color: #292c30;
}

#exampleModal .modal-body {
    padding-right: 1.5rem !important;
    padding-left: 1.5rem !important;
}
.dt-buttons .dt-button {
    border-color: #5951ed;
    color: #5951ed;
    font-weight: 600;
    font-size: 14px;
    border-radius: var(--bs-border-radius-lg) !important;
    padding-top: 0.55rem !important;
    padding-bottom: 0.55rem !important;
    padding-right: 1.5rem !important;
    padding-left: 1.5rem !important;
    background: #fff;
    line-height: normal;
    margin: 0 !important;
}
.dt-buttons .dt-button:hover {
    background: #4b43db !important;
    color: #fff !important;
}
div.dataTables_wrapper div.dataTables_filter label {
    position: relative;
}
div.dataTables_wrapper div.dataTables_filter label::after {
    font-family: icons !important;
    font-style: normal;
    font-weight: 400 !important;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    content: "\f40b";
    position: absolute;
    right: 12px;
    font-size: 1.2rem;
    top: 8px;
}
div.dataTables_wrapper div.dataTables_filter label input[type="search"] {
    padding-right: 2.4rem;
}
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
    display: none;
    -webkit-appearance: none;
    appearance: none;
}
input[type="search"]::-ms-clear {
    display: none;
    height: 0;
    width: 0;
}

input[type="search"]::-ms-reveal {
    display: none;
    height: 0;
    width: 0;
}
.select-statuscls .select2-container--default .select2-selection--single {
    min-height: 53px;
}

.dataTables_wrapper .dt-buttons {
    width: max-content;
    display: inline-flex;
    /* float: none; */
    float: none;
    /* margin-left: 1rem; */
    /* margin-bottom: 1rem; */
}
div.dataTables_wrapper div.dataTables_filter {
    width: max-content;
    display: inline-flex;
    margin-left: auto;
    justify-content: flex-end;
    float: right;
    margin-bottom: 1rem;
}
.dataTables_wrapper .dataTables_length {
    width: max-content;
    display: inline-flex;
    margin-right: 1rem;
}
.dt-buttons .dt-button.import-button {
    background: #5951ed;
    color: #fff;
    margin-right: 0.5rem !important;
}
.sub_cardlist .last_iconcls {
    color: #292c30;
    color: #292c30;
    display: flex;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    align-items: center;
    line-height: 100%;
    flex-wrap: nowrap;
    white-space: nowrap;
}
.sub_cardlist .flex-grow-1.ms-3 {
    word-break: break-word;
}

.fc-toolbar .fc-center h2 {
    font-size: 16px;
    font-weight: 600;
}

.fc-state-default {
    background: #f6f7f8;
    border-radius: 4px;
    border: 0;
    box-shadow: none;
    text-shadow: none;
}

.fc-state-default:hover {
    background: #f5f5f5;
}

.fc-state-default.fc-state-active {
    background: #1a1d1f;
    color: #fff;
}

.fc-toolbar button.fc-today-button {
    border-radius: 4px;
    background: var(--primary-main, #5951ed);
    padding: 4px 10px;
    font-size: 14px;
    font-style: normal;
    /* border: 0; */
    outline: none;
    box-shadow: none;
    font-weight: 700;
    color: #eff2f5;
    border: 0;
    line-height: normal;
    height: auto;
    letter-spacing: 0;
    text-shadow: none;
}

.fc-event {
    border: 0;
}

.fc button,
.fc table,
body .fc {
    font-size: 14px;
}

.fc-unthemed .fc-content,
.fc-unthemed .fc-divider,
.fc-unthemed .fc-list-heading td,
.fc-unthemed .fc-list-view,
.fc-unthemed .fc-popover,
.fc-unthemed .fc-row,
.fc-unthemed tbody,
.fc-unthemed td,
.fc-unthemed th,
.fc-unthemed thead {
    border-color: #efefef;
}

/* login page css */
.login_page {
    background-image: url(../assets/login-page-bg.png);
    background-position: center;
    background-size: contain;
}

.login_page .card {
    max-width: 470px;
    border-radius: 16px;
    background: var(--neutral-100, #fff);
    box-shadow: 0px 0px 97px 0px rgba(0, 0, 0, 0.15);
}

.login_page .card-header {
    border-radius: 16px 16px 0 0;
    background-color: #09090a;
    color: #fff;
}

.login_page .card-header h1 {
    font-size: 24px;
}

.login_page label.form-label {
    font-size: 16px;
    font-weight: 500;
    color: #292c30;
}

.login_page .form-check {
    font-size: 14px;
}

.login_page table {
    font-size: 14px;
    font-weight: 400;
}

.login_page table tr td {
    padding-left: 15px;
    padding-right: 15px;
}

.login_page table tr:last-child td {
    border-bottom: 0;
}

.login_page .form-control {
    font-size: 14px;
    border-radius: 8px;
    border: 1px solid #efefef;
    background: #f9f9f9;
    border-left: 0;
}

.login_page .input-group .input-group-text {
    background: #f9f9f9;
    border-color: #efefef;
}

.canvas-con {
    display: flex;
    align-items: center;
    justify-content: center;
    /* min-height: 365px; */
    position: relative;
}

.canvas-con-inner {
    width: 100px;
}

.legend-con ul {
    margin: 0;
    padding: 0;
}

.legend-con li {
    display: flex;
    align-items: center;
    margin-bottom: 4px;
    font-size: 12px;
}

.legend-con li span.chart-legend {
    width: 7px;
    height: 7px;
    margin-right: 5px;
}

.modal .modal-header .modal-title,
.offcanvas-header .offcanvas-title {
    color: #09090a;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    padding-left: 15px;
    position: relative;
    line-height: 100%;
}

.modal .modal-header {
    line-height: 100%;
    padding-left: 20px;
    padding-right: 20px;
}

.offcanvas-header {
    border-bottom: 1px solid var(--neutral-200, #f5f5f5);
}

.modal .modal-header .modal-title::before,
.offcanvas-header .offcanvas-title::before {
    border-radius: 4px;
    content: "";
    background-color: #cabdff;
    height: 100%;
    width: 5px;
    display: inline-block;
    position: absolute;
    left: 0;
    top: 0;
}

.modal .modal-content {
    border-radius: 16px;
    background: var(--neutral-100, #fff);
    box-shadow: 0px 0px 97px 0px rgba(0, 0, 0, 0.15);
}

.modal-backdrop {
    --bs-backdrop-opacity: 0.2;
}

.modal .shape_iconcls {
    border-radius: 16px;
    background: var(--neutral-300, #eff2f5);
    color: #5951ed;
    width: 72px;
    height: 72px;
}

.second_card {
    border-radius: 8px 8px 16px 16px;
    border: 1px solid var(--neutral-200, #f5f5f5);
}

.second_card .card-header {
    border-radius: 8px 8px 0px 0px;
    background: var(--neutral-200, #f5f5f5);
    font-size: 14px;
    font-style: normal;
    padding: 10px 20px;
    font-weight: 500;
    border: 0;
}
.contact_details li {
    margin-bottom: 1.5rem;
    width: 100%;
}
.form-check input[type="radio"].form-check-input:checked {
    background-color: #5951ed;
}
.contact_details li a {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #09090a;
    white-space: normal;
    word-break: break-word;
}

.profile-left .card-header {
    background-color: #5951ed;
    min-height: 117px;
    background-image: url(../assets/vector-profile.svg);
    background-size: cover;
    background-position: center center;
    border-radius: 16px 16px 0 0;
}

.profile-left .sub_cardlist img {
    width: 139px;
    height: 139px;
    border-width: 3px;
}

.profile-left .sub_cardlist {
    margin-top: -6rem;
}

.custom_tabs {
    border-top: 1px solid var(--neutral-300, #eff2f5);
    flex-wrap: nowrap;
    overflow-x: auto;
    min-height: 56px;
}

.teamlist > .col {
    padding-right: 5px;
}
.custom_tabs .nav-item .nav-link {
    min-width: max-content;
    font-weight: 500;
    color: #09090a;
    border-right: #f5f5f5 solid 1px;
    border-bottom: transparent solid 2px;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
}

.bottom-dob small {
    letter-spacing: 0px;
}

.custom_tabs .nav-item .nav-link.active {
    border-bottom: 2px solid var(--primary-main, #5951ed);
    color: #5951ed;
}

.card.custom_card .card-footer {
    background: var(--neutral-100, #fff);
    border: 0;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.04);
}

.card.custom_card .input-group-text {
    border-color: #eff2f5;
}

.form-control {
    border-radius: 8px;
    font-size: 14px !important;
    color: #9ca1a6;
    border: 1px solid var(--neutral-300, #eff2f5);
    min-height: 48px;
}

/* .add-employeeform .form-control {
    border-radius: 8px;
    font-size: 14px;
    color: #9ca1a6;
    border: 1px solid var(--neutral-300, #eff2f5);
    min-height: 48px;

} */

.add-salary .table strong {
    font-weight: 600;
}

.add-salary tfoot tr td {
    background-color: #f5f5f5;
}

.add-salary table .form-select {
    max-width: 84px;
    padding-right: 2rem;
}

.add-salary table thead tr th,
.add-salary table tfoot tr td {
    padding: 0.6rem 1.5rem;
}

.add-salary table tr td,
.add-salary table tr th {
    padding: 0.8rem 1.5rem;
}

.add-salary .table .amount-text {
    color: #83bf6e;
}

.add-salary .table .red-text {
    color: #ff6a55;
    font-weight: 500;
}
.add-salary .table small {
    color: #9ca1a6;
    font-size: 12px;
}
.add-salary .table {
    border: 1px solid var(--neutral-200, #f5f5f5);
    border-radius: 8px;
    overflow: hidden;
    vertical-align: middle;
    border-collapse: separate;
}
.add-salary .table thead tr th {
    /* border-radius: 8px 8px 0px 0px; */
    font-weight: 500;
    border-bottom: 1px solid var(--neutral-200, #f5f5f5);
    background: var(--neutral-200, #f5f5f5);
}

.popover_custom {
    border: 0;
    margin: 0 0 !important;
    background: transparent;
    border-radius: 0;
    outline: none;
    box-shadow: none;
    width: 100%;
}

.form-select {
    color: var(--neutral-500, #9ca1a6);
    border-color: #eff2f5;
    font-size: 14px !important;
    font-style: normal;
    min-height: 48px;
    font-weight: 400;
    line-height: normal;
}

.add-employeeform .input-group-text {
    border-color: #eff2f5;
    cursor: pointer;
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
    color: #9ca1a6;
    font-size: 18px;
}

.custom_select {
    border-radius: 8px;
    border: 0;
    padding-top: 1rem;
    padding-bottom: 1rem;
    background-color: #fff;
    font-size: 14px;
    font-weight: 400;
}

.profile_picture {
    border-radius: 8px;
    border: 2px dashed var(--neutral-300, #eff2f5);
    display: flex;
    height: calc(100% - 45px);
    align-items: center;
    justify-content: center;
    position: relative;
    min-height: 150px;
}

.profile_picture .js-fileName {
    display: block;
}

.input-file {
    cursor: pointer;
    width: 100%;
    height: 100%;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    /* z-index: -1; */
    top: 0;
    left: 0;
}

.input-file + .js-labelFile {
    /* overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  padding: 0 10px; */
    cursor: pointer;
}

.input-file + .js-labelFile.has-file .icon:before {
    content: "\f297";
    color: #5951ed;
}

.plus_btn {
    outline: none;
    box-shadow: none;
    border: 0;
    min-width: 48px;
    min-height: 48px;
    background: #ebeafc;
    color: #5951ed;
}

.plus_btn:hover {
    background-color: #e0dff3 !important;
}

.popover_custom .custom_card {
    /* position: absolute;
  top: 0;
  left: 0; */
    max-width: 500px;
    border-radius: 16px;
    background: var(--neutral-100, #fff);
    box-shadow: 0px 0px 97px 0px rgba(0, 0, 0, 0.15);
    /* min-width: 100%; */
    font-size: 14px;
    /* width:100%; */
    margin: 0 0.5rem;
}
.popover_custom .custom_card .card-body {
    overflow-y: auto;
    max-height: 130px;
}

.popover_custom .custom_card::before {
    position: absolute;
    top: -14px;
    /* left: 50%; */
    content: "";
    display: block;
    border-left: 15px solid transparent;
    border-right: 15px solid transparent;
    border-bottom: 15px solid #ffffff;
    left: 12%;
    /* transform: translateX(-50%); */
}

.addemployee {
    --bs-offcanvas-width: 70%;
}

.addemployee .modal-footer {
    background: var(--neutral-100, #fff);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.15);
}

.btn.btn-outline-primary {
    border-color: #5951ed;
    color: #5951ed;
    font-weight: 700;
}

.btn.active {
    background-color: #5951ed;
    color: #fff;
}

.attendance-history table tr th {
    font-weight: 400;
    line-height: 100%;
    vertical-align: middle;
}

.attendance-history table tr td {
    text-align: center;
    vertical-align: middle;
}

.attendance-history table tr td:first-child,
.attendance-history table tr th:first-child {
    text-align: left;
    border-right: #eee solid 1px;
    min-width: 250px;
}

.notification_cls.nav-profile .dropdown-menu {
    min-width: 300px;
    right: -19px;
    top: 129%;
}
.notification_cls.nav-profile li {
    padding: 8px 12px;
    list-style: none;
}
.notification_cls.nav-profile li a {
    /* padding: 6px 10px; */
    border-radius: 10px;
    margin-bottom: 0.5rem;
    /* background: #5951ed0a; */
    color: #1a1d1f;
    text-decoration: none;
    /* align-items: center; */
    font-size: 13px;
    letter-spacing: 0px;
    transition: all 0.3s ease-in-out 0s;
}
/* .notification_cls.nav-profile li a:hover {
    background-color: #f5f5f5;
} */
.notification_cls.nav-profile .title-wrap {
    box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0.25);

    border-bottom: 1px solid var(--neutral-200, #f5f5f5);
}
.notification_cls.nav-profile .title-wrap h6 {
    position: relative;
    padding-left: 1rem;
}
.notification_cls.nav-profile .title-wrap h6::before {
    border-radius: 4px;
    content: "";
    background: #cabdff;
    height: 100%;
    width: 5px;
    display: inline-block;
    position: absolute;
    left: 0;
    top: 0;
}
.notification_cls.nav-profile img {
    width: 40px;
    min-width: 40px;
    height: 40px;
    border-radius: 50px;
    object-fit: cover;
}
.notification_cls.nav-profile ul {
    margin: 0;
    padding: 0;
    padding-bottom: 0 !important;
    max-height: 250px;
    overflow-y: auto;
}
.notification_cls.nav-profile ul li .text {
    margin-left: 0.7rem;
}
.btn.btn-outline-primary:hover {
    border-color: #e3e3e3;
    background-color: #ededed;
}

.all-colors .badge {
    font-size: 14px;
    font-weight: 400;
}

.holiday {
    background: #fcedc9;
    color: #f2ad00;
}

.day-off {
    background-color: #d5f2fb;
    color: #38b3d6;
}

.present {
    background-color: #ccfffb;
    color: #00c2b2;
}

.half-day {
    background-color: #dae9ff;
    color: #627898;
}

.late {
    background: #dae9ff;
    color: #627898;
}

.absent {
    background: #ffdee4;
    color: #df3554;
}

.on-leave {
    background: #d4e7ff;
    color: #2e7ce4;
}

.notfound {
    margin: 25vh auto !important;
}

#leaveView #mCSB_2_container {
    overflow: visible;
}
.select2-dropdown {
    border: 1px solid #ebebeb;
}
.select2-container--default .select2-selection--multiple {
    border: 1px solid #eff2f5;
    padding: 10px;
    border-radius: 8px;
    min-height: 48px;
}
.select2-container--default
    .select2-selection--multiple
    .select2-selection__choice {
    background-color: #f5f5f5;
    border: 1px solid #ebebeb;
    border-radius: 16px;
    font-size: 12px;
}
.select2-container--default
    .select2-selection--multiple
    .select2-selection__choice__remove {
    font-size: 13px;
    border-right: 1px solid #ebebeb;
}
.select2-container--default.select2-container--focus
    .select2-selection--multiple {
    border-color: #eff2f5;
}
.overlay-sidebar {
    display: none;
}
.btn.btn-danger.btn-big.border-0 {
    min-height: 46px;
}
body.modal-open nav.navbar {
    z-index: 0;
}

/* minisidebar */
@media only screen and (min-width: 992px) {
    .brand-logo-mini {
        display: none;
    }

    .mini_sidebar .sidebar-nav #sidebarnav > .nav-item:last-child .first-level {
        bottom: 0;
        top: auto;
    }

    .main-panel {
        -webkit-transition: width 0.25s ease, margin 0.25s ease;
        transition: width 0.25s ease, margin 0.25s ease;
        width: calc(100% - 288px);
        margin-left: 288px;
        min-height: calc(100vh - 57px);
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
    }

    .mini_sidebar .navbar .navbar-brand-wrapper {
        width: 57px;
        padding: 0 !important;
        text-align: center;
        justify-content: center;
    }

    .mini_sidebar .brand-logo {
        display: none;
    }

    .mini_sidebar .navbar .navbar-menu-wrapper {
        width: calc(100% - 57px);
    }

    .mini_sidebar .brand-logo-mini {
        display: block;
    }

    .mini_sidebar .left-sidebar {
        width: 57px;
    }

    .mini_sidebar .main-panel {
        margin-left: 57px;
        width: calc(100% - 57px);
    }

    .mini_sidebar .sidebar-nav #sidebarnav > li > .nav-link .hide-menu {
        display: none;
    }

    .mini_sidebar .sidebar-nav .has-arrow::after {
        content: none;
    }

    .mini_sidebar .sidebar-nav #sidebarnav li .nav-link {
        padding-right: 12px;
        padding-left: 12px;
        padding-top: 15px;
        padding-bottom: 15px;
    }

    .mini_sidebar .sidebar-nav #sidebarnav li .nav-link img {
        margin: 0 auto;
    }

    .mini_sidebar .sidebar-nav #sidebarnav li .nav-link svg {
        min-width: auto;
        margin: 0 auto;
    }

    .mini_sidebar
        .sidebar-nav
        #sidebarnav
        > .nav-item:nth-last-child(3)
        .first-level {
        bottom: 0;
        top: auto;
    }

    .mini_sidebar .sidebar-nav #sidebarnav > .nav-item {
        position: relative;
    }

    .mini_sidebar .sidebar-nav .first-level.in {
        display: block;
    }

    .mini_sidebar .sidebar-nav .first-level {
        display: none;
        position: absolute;
        left: 100%;
        background: #1a1d1f;
        top: 0;
        min-width: max-content;
        /* overflow-y: auto;
        max-height: 134px; */
    }

    .mini_sidebar .mCSB_inside > .mCSB_container,
    .mini_sidebar .mCustomScrollBox {
        overflow: visible;
    }

    .mini_sidebar .sidebar-nav #sidebarnav li .first-level .nav-link {
        padding-left: 12px;
        padding-top: 18.5px;
        padding-bottom: 18.3px;
    }
}

@media only screen and (max-width: 1024px) {
    .custom_tabs .nav-item .nav-link {
        min-width: max-content;
    }
}

@media only screen and (max-width: 991px) {
    .bottom_countpop {
        width: calc(100% - 0px);
    }

    .mini_sidebar .left-sidebar {
        transform: translate3d(0%, 0px, 0px);
    }

    .heading_cls {
        line-height: 100%;
    }

    .navbar .navbar-menu-wrapper {
        width: calc(100% - 50px);
    }

    .navbar .navbar-brand-wrapper {
        width: 50px;
    }

    .navbar .navbar-brand-wrapper {
        padding: 0 !important;
        justify-content: center;
    }

    .brand-logo {
        display: none;
    }

    .left-sidebar {
        transform: translate3d(-100%, 0px, 0px);
        transition: all 0.3s ease-in-out 0s;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1400px) {
    .btn.btn-success.btn-big {
        padding: 12px 12px;
    }

    .sub_cardlist {
        flex-wrap: wrap;
    }

    .sub_cardlist .flex-grow-1.ms-3 {
        max-width: 77%;
        margin-left: 0.7rem !important;
    }

    .sub_cardlist .last_iconcls {
        margin-left: auto;
    }
}

@media only screen and (max-width: 991px) {
    .mini_sidebar {
        overflow: hidden;
    }
    .overlay-sidebar {
        background: #0000004a;
        position: fixed;
        width: 100%;
        top: 0;
        z-index: 1;
        height: 100%;
        -webkit-backdrop-filter: blur(5px);
        backdrop-filter: blur(5px);
    }
    .overlay-sidebar.active {
        display: block;
    }
    .navbar .brand-logo {
        overflow: hidden;
        justify-content: flex-start !important;
        max-width: 43px;
    }
    .navbar .brand-logo img {
        width: 100%;
        min-width: 199px;
    }

    #salary-form {
        min-width: 700px;
    }

    .add-salary table {
        min-width: 850px;
    }

    .popover_custom {
        width: 100%;
        /* min-width: 90%; */
        /* margin: 0 0 0 -3rem !important; */
        /* max-width: 90%; */
    }

    /* .popover_custom .custom_card {
        width: 100%;
        min-width: 100%;
    } */

    /* .custom_dropcl .dropdown-menu::after {
        left: -11px;
        transform: rotate(180deg);
        right: auto;
    } */

    .addemployee {
        --bs-offcanvas-width: 100%;
    }
}

@media only screen and (max-width: 767px) {
    #attendance-card .custom_card .card-body {
        padding: 15px;
    }
    #attendance-card .custom_card {
        height: 100% !important;
    }

    .dt-buttons .dt-button {
        padding-top: 0.45rem !important;
        padding-bottom: 0.45rem !important;
        padding-right: 0.5rem !important;
        padding-left: 0.5rem !important;
        font-size: 12px;
    }
    div.dataTables_wrapper div.dataTables_length label {
        font-size: 13px;
    }
}

@media only screen and (min-width: 576px) {
    /* .select-statuscls span.select2.select2-container{
    min-width: 140px;
} */
}

@media only screen and (max-width: 575px) {
    div.dataTables_wrapper div.dataTables_filter {
        justify-content: center;
        float: none;
        margin: 1rem auto 1rem;
        width: 100%;
    }

    div.dataTables_wrapper div.dataTables_paginate {
        margin: 10px auto 0;
    }

    div.dataTables_wrapper div.dataTables_info {
        margin-right: 0;
        font-size: 11px;
    }

    /* .popover_custom {
        margin: 0 0 0 -2rem !important;
    } */

    .notification_cls .nav-link {
        font-size: 20px;
    }

    .login_page table tr td {
        padding-left: 10px;
        padding-right: 10px;
    }

    .login_page table {
        font-size: 12px;
    }

    .sub_cardlist .flex-grow-1.ms-3 {
        max-width: 78%;
        margin-left: 0.7rem !important;
    }

    .sub_cardlist {
        flex-wrap: wrap;
    }

    .sub_cardlist .last_iconcls {
        margin-left: auto;
    }

    /* .dataTables_wrapper .sub_cardlist .flex-grow-1.ms-2{
    white-space: normal;
  } */
}

@media only screen and (max-width: 375px) {
    .fc .fc-toolbar-title {
        font-size: 1em;
    }
    .fc-toolbar button.fc-today-button {
        padding: 8px 7px !important;
        font-size: 0.8em;
    }
    .dataTables_wrapper .dt-buttons {
        margin: 0.7rem 0 0 0;
    }
    div.dataTables_wrapper div.dataTables_filter label input[type="search"] {
        max-width: 186px;
    }
}

@media only screen and (max-width: 320px) {
    div.dataTables_wrapper div.dataTables_info {
        margin-top: 10px;
    }

    .heading_cls {
        max-width: 55%;
        font-size: 14px;
    }

    .sub_cardlist .flex-grow-1.ms-3 {
        max-width: 72%;
    }
}

/* Adjust the font size of Dropify labels */
.dropify-message span {
    font-size: 50px; /* Adjust the font size as needed */
}
.dropify-message span p {
    font-size: 20px; /* Adjust the font size as needed */
}

/* Adjust the font size of Dropify error messages */
.dropify-error {
    font-size: 14px; /* Adjust the font size as needed */
}

/* Adjust the font size of Dropify filename */
.dropify-infos-filename {
    font-size: 14px; /* Adjust the font size as needed */
}

/* adjust the image modal of summernote */
.modal-backdrop {
    --bs-backdrop-zindex: 0 !important;
}

#exampleModal .modal-body .row {
    white-space: normal; /* Allow text to wrap */
}

#exampleModal .modal-body .col-8 {
    word-wrap: break-word; /* Break words that are too long to fit on one line */
}

.custome-spinner {
    position: absolute;
    top: 42%;
    left: 44%;
}

/* Overlay styles */
.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.7); /* Semi-transparent white */
    z-index: 999; /* Ensure it's above other content */
    -webkit-backdrop-filter: blur(0px);
    backdrop-filter: blur(0px); /* Add blur effect */
}

@media only screen and (max-height: 600px) and (min-width: 992px) {
    .sidebar-nav #sidebarnav li .nav-link {
        padding-top: 16px;
        padding-bottom: 16px;
    }
}

@media only screen and (min-width: 992px) {
    .sidebar-nav #sidebarnav .nav-item:hover .first-level {
        position: absolute;
        display: block !important;
        left: 100%;
        top: 0;
        z-index: 9999;
        /* padding: 5px; */
        /* background: #fff; */
        /* border-radius: 10px; */
        /* border: #dddddd solid 1px; */
        z-index: 11;
        /* box-shadow: #0000002e 0 0 20px; */
        background: var(--neutral-900, #1a1d1f);
        max-height: 190px;
        overflow-y: auto;
        overflow-x: hidden;
    }
    /* .sidebar-nav #sidebarnav li .first-level .nav-link.active:hover{
        background: var(--neutral-600, #3e3e3f) !important;
        color: #fff !important;
    } */
    /* .sidebar-nav #sidebarnav li .first-level .nav-link.active:hover::before{
        background-color: #fff !important;
    } */
    .sidebar-nav #sidebarnav .nav-item .first-level {
        display: none !important;
    }
    .sidebar-nav #sidebarnav .nav-item .nav-link.has-arrow {
        pointer-events: none;
        touch-action: none;
    }
    .sidebar-nav #sidebarnav .nav-item:hover .nav-link.has-arrow {
        pointer-events: auto;
        touch-action: none;
    }
    /* .sidebar-nav #sidebarnav .nav-item .first-level .nav-item{
        border-bottom: 0;
        margin: 4px 0;
    } */
    .sidebar-nav #sidebarnav .nav-item .first-level .nav-item .nav-link {
        padding: 1rem 1rem;
        white-space: nowrap;
        /*
        font-size: 14px;
        border-radius: 5px; */
    }
    .sidebar-nav .has-arrow.active::after {
        -webkit-transform: rotate(0deg) translate(0, -50%);
        -ms-transform: rotate(0deg) translate(0, -50%);
        -o-transform: rotate(0deg) translate(0, -50%);
        transform: rotate(0deg) translate(0, -50%);
    }
    /* .sidebar-nav #sidebarnav .nav-item .first-level .nav-item .nav-link:hover{
        background-color: #eee;
    color: #1a1d1f;
    }
    .sidebar-nav #sidebarnav .nav-item .first-level .nav-item .nav-link:hover::before{
        background: #1a1d1f;
    } */
    .sidebar-nav #sidebarnav li .first-level .nav-link::before {
        border-radius: 50px;
        width: 4px;
        height: 4px;
        min-width: 4px;
        margin-right: 0.5rem;
    }
    .left-sidebar .mCSB_scrollTools {
        display: none !important;
    }
    .left-sidebar .mCustomScrollBox {
        overflow: visible;
    }
    .left-sidebar .mCustomScrollBox .mCSB_container {
        overflow: visible;
    }
    .sidebar-nav #sidebarnav .nav-item {
        position: relative;
    }
}
